
From: Matthew Wilcox <willy@debian.org>

The old 1542 scsi driver is both ISA and MCA.  The MCA portions are disabled
when !CONFIG_MCA through the typical wrapper scheme (a la pci.h and
!CONFIG_PCI).  However...  the driver unconditionally includes linux/mca.h
which in turn unconditionally includes asm/mca.h.

This breaks drivers on platforms with ISA but not MCA, like alpha.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/mca.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/linux/mca.h~ach1542-mca-build-fix include/linux/mca.h
--- 25/include/linux/mca.h~ach1542-mca-build-fix	2004-05-27 23:31:23.500908800 -0700
+++ 25-akpm/include/linux/mca.h	2004-05-27 23:31:23.503908344 -0700
@@ -12,7 +12,9 @@
 #include <linux/device.h>
 
 /* get the platform specific defines */
+#ifdef CONFIG_MCA
 #include <asm/mca.h>
+#endif
 
 /* The detection of MCA bus is done in the real mode (using BIOS).
  * The information is exported to the protected code, where this
_
